import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationStatusSchema } from '../enums/CommunicationStatus.schema'

const makeSchema = () => z.object({
  set: CommunicationStatusSchema.optional()
}).strict();
export const EnumCommunicationStatusFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumCommunicationStatusFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumCommunicationStatusFieldUpdateOperationsInput>;
export const EnumCommunicationStatusFieldUpdateOperationsInputObjectZodSchema = makeSchema();
